PHP-инклюдинг в Poplar Gedcom Viewer

Дата публикации:
15.01.2007
Всего просмотров:
1255
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-0307
CVE-2008-1787
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Poplar Gedcom Viewer 2.x
Уязвимые версии: Poplar Gedcom Viewer 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "env[rootPath]" в сценарии /include/common.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: sourceforge.net/projects/poplar

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA